Ask Your Question
0

The Leddar sensor ROS package from GitHub cannot work

asked 2016-03-09 04:37:49 -0500

Zero gravatar image

updated 2016-03-09 19:03:19 -0500

I'm using ROS indigo. I had download the Leddar sensor ROS package from GitHub and follow the README to do. but after I try to catkin_make is shows me skipping incompatible. And this is the source I get from : https://github.com/mcgill-robotics/ro... anyone had face this kind of problem before? help me, please.

error in the below:

Built target testing_node
Linking CXX executable /home/darwin/catkin_ws/devel/lib/leddartech/leddartech_node
/usr/bin/ld: skipping incompatible /home/darwin/catkin_ws/src/leddar/lib/libLeddarTech.so when searching for -lLeddarTech
/usr/bin/ld: cannot find -lLeddarTech
/usr/bin/ld: skipping incompatible /home/darwin/catkin_ws/src/leddar/lib/libLeddar.so when searching for -lLeddar
/usr/bin/ld: cannot find -lLeddar
/usr/bin/ld: skipping incompatible /home/darwin/catkin_ws/src/leddar/lib/libLeddarC.so when searching for -lLeddarC
/usr/bin/ld: cannot find -lLeddarC
collect2: error: ld returned 1 exit status
make[2]: *** [/home/darwin/catkin_ws/devel/lib/leddartech/leddartech_node] Error 1
make[1]: *** [leddar/CMakeFiles/leddartech_node.dir/all] Error 2
make: *** [all] Error 2
Invoking "make -j4 -l4" failed
edit retag flag offensive close merge delete

Comments

Looks like "skipping incompatible" means the libraries were built for a different architecture. The information here may help you work through the problem http://stackoverflow.com/questions/31...

sloretz gravatar image sloretz  ( 2016-03-09 09:43:50 -0500 )edit

Please link to your sources and provide enough information to reproduce your problem. Otherwise it's hard to help you. http://wiki.ros.org/Support

tfoote gravatar image tfoote  ( 2016-03-09 15:58:22 -0500 )edit

sorry, I kind of new user for the ROS. I really don't get that why my problem will relate to my system problem because I can compile others package but only this package had this kind problem.

Zero gravatar image Zero  ( 2016-03-09 19:21:18 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
2

answered 2016-03-09 20:06:42 -0500

tfoote gravatar image

Thanks for updating with a link to the repo.

You're getting this problem because the repository has the shared libraries checked into lib here and does not build them from source. So since you are running on a different platform the shared libraries are not compatible.

edit flag offensive delete link more

Comments

so how to solve the problem?

Zero gravatar image Zero  ( 2016-03-24 02:29:19 -0500 )edit
0

answered 2016-04-01 21:39:12 -0500

Zero gravatar image

I found the reason why there have error cause me failure. basically is that I have to switch to ubuntu 14.04LTS 64bit then download the Leddar ROS package and Leddar SDK package and Qt5, after that everything solved! I believe those 32bit package was not very reliable and cause so many problem.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-03-09 04:30:57 -0500

Seen: 1,051 times

Last updated: Apr 01 '16